MAN(1)

NUME
man - o interfață a manualelor de referință ale sistemului

SINOPSIS
man [opțiuni man] [[secțiune] pagina ...] ...
man -k [opțiuni apropos] expreg ...
man -K [opțiuni man] [secțiune] termen-expresie ...
man -f [whatis opțiuni] pagina ...
man -l [opțiuni man] fișier ...
man -w|-W [opțiuni man] pagina ...

DESCRIERE
man este paginatorul de manual al sistemului. Fiecare argument pagina dat lui man este în mod normal numele unui program, utilitar sau funcție. Pagina de manual asociată cu fiecare dintre aceste argumente este apoi găsită și afișată. O secțiune, dacă este furnizată, va direcționa man să se uite doar la acea secțiune din manual. Acțiunea implicită este de a căuta în toate secțiunile disponibile urmând o ordine predefinită (consultați IMPLICITE), și să arate doar prima pagină găsită, chiar dacă pagina există în mai multe secțiuni.

Tabelul de mai jos prezintă numerele de secțiune ale manualului, urmate de tipurile de pagini pe care le conțin.

1 | Programe executabile sau comenzi shell
2 | Apeluri de sistem (funcții furnizate de către nucleu)
3 | Apeluri de bibliotecă (funcții care se află în biblioteca aplicației)
4 | Fișiere speciale (găsite de obicei în /dev)
5 | Formate de fișier și convenții, de ex. /etc/passwd
6 | Jocuri
7 | Diverse (inclusiv pachetele de macrocomenzi și convențiile) e.g. man(7), groff(7), pagini-man(7)
8 | Comenzi de administrare a sistemului (de obicei doar pentru root)
9 | Rutine de nucleu [Nestandard]

O pagină de manual consistă în mai multe secțiuni.

Numele convenționale includ NUME, REZUMAT, CONFIGURARE, DESCRIERE, OPȚIUNI, STARE IEȘIRE, VALOARE REVENIRE, ERORI, MEDIU DE LUCRU, FIȘIERE, VERSIUNI, STANDARDE, NOTE, DEFECTE, EXEMPLE, AUTORI, și CONSULTAȚI DEASEMENEA.

Următoarele convenții se aplică la secțiunea SINOPSIS și pot fi utilizate ca un ghid în alte secțiuni.

text aldin | tastați exact așa cum este prezentat.
text cursiv | înlocuiește cu argumentul adecvat.
[-abc] | orice argument sau toate argumentele dintre [ ] sunt opționale.
-a|-b | opțiunile delimitate de | nu pot fi utilizate împreună.
argument ... | argument(ul) este repetabil.
[expresie] ... | întreaga expresie dintre [ ] este repetabilă.

Redarea exactă poate varia în funcție de dispozitivul de ieșire. De exemplu, de obicei, «man» nu va putea reda cursivele atunci când rulează într-un terminal și, de obicei, va folosi text subliniat sau colorat.

Explicarea ilustrată a comenzii sau a funcției este un model care ar trebui să se potrivească cu toate invocările posibile. În unele cazuri, este recomandabil să se ilustreze(explice) mai multe invocări exclusive, așa cum este arătat în secțiunea REZUMAT a acestei pagini de manual.

EXEMPLE

man ls
    Afișează pagina de manual pentru elementul (program) ls.

man man.7
    Afișează pagina de manual pentru pachetul macrocomenzii man din secțiunea 7; (aceasta este o ortografie alternativă a „man 7 man”).

man 'man(7)'
    Afișează pagina de manual pentru pachetul de macrocomenzi man din secțiunea 7; Aceasta este o altă ortografie alternativă pentru „man 7 man”. Poate fi mai convenabil când copiați și lipiți referințe încrucișate la paginile de manual. Rețineți că parantezele trebuie în mod normal puse între ghilimele pentru a le proteja de shell.

man -a introducere
    Afișează, în succesiune, toate paginile de manual introducere disponibile care sunt conținute în manual. Este posibil să ieșiți între afișări succesive sau să omiteți pe oricare dintre ele.

man -t bash | lpr -Pps
    Formatează pagina de manual pentru bash în formatul implicit troff sau groff și o trimite la imprimanta cu numele ps. Ieșirea implicită pentru groff este de obicei PostScript. man --help ar trebui să indice ce procesor este legat de opțiunea -t.

man -l -Tdvi ./foo.1x.gz > ./foo.1x.dvi
    Această comandă va decomprima și formata pagina de manual sursă nroff ./foo.1x.gz într-un fișier independent de dispozitiv (dvi). Redirecționarea este necesară deoarece indicatorul -T face ca ieșirea să fie direcționată către stdout fără paginator. Ieșirea poate fi vizualizată cu un program precum xdvi sau procesată în continuare în PostScript utilizând un program precum dvips.

man -k printf
    Caută în descrierile scurte și în numele de pagini de manual pentru cuvântul cheie printf ca expresie regulată. Imprimă orice potriviri. Echivalentă cu apropos printf.

man -f smail
    Caută paginile de manual la care face referire smail și imprimă descrierile scurte ale celor găsite. Echivalentă cu whatis smail.

PREZENTARE GENERALĂ
man dispune de mai multe opțiuni, pentru a oferi o flexibilitate cât mai mare utilizatorului. Se pot face modificări în ruta de căutare, ordinea secțiunilor, procesorul de ieșire și alte comportamente și operațiuni detaliate mai jos.

Există mai multe variabile de mediu care, dacă sunt stabilite(definite), sunt interogate pentru a determina modul de operare(funcționare) al lui man. Este posibil să stabiliți variabila „globală” $MANOPT la orice șir în format de linie de comandă, cu excepția faptului că orice spațiu folosit ca parte a argumentului unei opțiuni trebuie să fie eludat (precedat de o bară oblică inversă). man va analiza $MANOPT înainte de a-și analiza propria linie de comandă. Acele opțiuni care necesită un argument, vor fi suprascrise de aceleași opțiuni găsite în linia de comandă. Pentru a restabili toate opțiunile stabilite în $MANOPT, -D poate fi specificată ca opțiune inițială a liniei de comandă. Acest lucru va permite ca man să „uite” de opțiunile specificate în $MANOPT, chiar dacă acestea pot fi încă valide.

Paginile de manual sunt de obicei stocate în format nroff(1) într-un director precum /usr/share/man. În unele instalări, pot să existe și pagini cat preformatate pentru a îmbunătăți eficiența. Consultați manpath(5) pentru detalii despre locul unde sunt stocate aceste fișiere.

Acest pachet suportă pagini de manual în mai multe limbi, controlate de identificatorul_localizare. Dacă sistemul dvs. nu v-a configurat acest lucru automat, atunci poate fi necesar să stabiliți $LC_MESSAGES, $LANG sau o altă variabilă de mediu dependentă de sistem pentru a indica localizarea preferată, de obicei specificată în formatul POSIX :

<limba>[_<teritoriu>[.<set_de_carractere>[,<versiune>]]]

Dacă pagina dorită este disponibilă în română(sau în localizarea aleasă de tine), ea va fi afișată în locul paginii standard (de obicei engleză americană).

Dacă descoperiți că traducerile furnizate cu acest pachet nu sunt disponibile în limba dumneavoastră maternă și doriți să le furnizați, contactați responsabilul care va coordona această activitate.

Paginile individuale de manual sunt scrise și întreținute în mod normal de către responsabilii programului, funcției sau ai altor subiecte pe care le documentează și nu sunt incluse în acest pachet. Dacă găsiți că o pagină de manual lipsește sau este inadecvată, raportați acest lucru responsabililor pachetului în cauză.

Pentru informații în legătură cu alte funcționalități și extensii disponibile cu acest paginator de manual, citiți documentele furnizate cu acest pachet.

IMPLICITE
Ordinea secțiunilor de căutat poate fi suprascrisă de variabila de mediu $MANSECT sau de directiva SECȚIUNE din /etc/manpath.config. Ordinea implicită, este următoarea:

    1 n l 8 3 0 2 3type 3posix 3pm 3perl 3am 5 4 9 6 7

Pagina de manual formatată este afișată utilizând un paginator. Acesta, poate fi specificat în mai multe moduri; sau, dacă nu, va reveni la valoarea implicită (consultați opțiunea -P pentru informații suplimentare).

Filtrele sunt descifrate printr-o serie de mijloace. În primul rând, este interogată opțiunea liniei de comandă -p sau variabila de mediu $MANROFFSEQ. Dacă -p nu a fost folosită și variabila de mediu nu a fost definită, atunci prima linie a fișierului «nroff» este scanată pentru un șir care indică preprocesorul de utilizat. Pentru a conține un șir de preprocesor valid, prima linie trebuie să arate ca

'\" <șir>

unde șir poate fi orice combinație de litere descrisă, mai jos, de opțiunea -p.

Dacă niciuna dintre metodele de mai sus nu furnizează informații despre filtre, se utilizează setul de filtrare implicit.

O linie de execuție, de formatare, este formată din filtre și formatorul primar (nroff sau [tg]roff cu -t) și este executată. Alternativ, dacă un program executabil mandb_nfmt (sau mandb_tfmt cu -t) există în rădăcina arborelui «man», se execută acesta în schimb. I se trece fișierul sursă de manual, șirul preprocesorului și, opțional, dispozitivul specificat cu -T sau -E ca argumente.

OPȚIUNI
Opțiunile fără argument care sunt duplicate fie pe linia de comandă, fie în $MANOPT, sau în ambele, nu sunt dăunătoare. Pentru opțiunile care necesită un argument, fiecare duplicare va suprascrie valoarea argumentului precedent.

  Opțiuni generale

-C fișier, --config-file=fișier
    Utilizează acest fișier de configurare al utilizatorului, mai degrabă decât cel implicit din ~/.manpath.

-d, --debug
    Imprimă informațiile de depanare.

-D, --default
    Această opțiune este în general folosită ca primă opțiune, și restaurează comportamentul lui man cu configurările implicite. Utilizarea sa este de a reconfigura acele opțiuni care ar fi putut fi configurate în $MANOPT. Orice opțiuni care urmează după -D, vor avea efectul obișnuit.

--warnings[=avertismente]
    Activează avertismentele de la groff. Aceasta poate fi folosită pentru a efectua verificări de corectitudine asupra textului sursă al paginilor de manual. warnings este o listă de nume de avertismente separate prin virgulă; dacă niciunul nu este furnizat, se folosește valoarea implicită „mac”. Pentru a dezactiva un avertisment groff, prefixați-l cu „!”; de exemplu: --warnings=mac,!break activează avertismentele din categoria „mac” și dezactivează avertismentele din categoria „break”. Consultați nodul “Avertismente” din info groff) pentru o listă a numelor de avertismente disponibile.

  Principalele moduri de operare

-f, --whatis
    Aproximativ echivalent cu whatis. Dacă pagina de manual este disponibilă, este afișată o scurtă descriere a paginii de manual dorite. Consultați whatis(1), pentru a obține mai multe detalii.

-k, --apropos
    Aproximativ echivalent cu apropos. Caută în descrierile scurte ale paginilor de manual pentru cuvintele cheie date, și afișează orice potrivire. Consultați apropos(1), pentru a obține mai multe detalii.

-K, --global-apropos
    Caută textul în toate paginile de manual. Aceasta este o căutare de forță brută, și care poate să dureze ceva timp; dacă puteți, ar trebui să specificați o secțiune pentru a reduce numărul de pagini care trebuie luate în considerare. Termenii de căutare pot fi șiruri simple (opțiunea implicită), sau expresii regulate dacă este utilizată opțiunea --regex.

    Rețineți că aceasta caută în sursele paginilor de manual(neformatate), nu în textul ce este afișat, așa că poate include falsuri pozitive din cauza comentariilor din fișierele sursă, sau falsuri negative din cauza unor lucruri precum cratimele care sunt scrise ca „\-” în fișierele sursă. Căutarea textului formatat ar fi mult mai lentă.

-l, --local-file
    Activează modul „local”. Formatează și afișează fișierele de manual locale în loc să caute prin colecția de manuale a sistemului. Fiecare argument de pagină de manual va fi interpretat ca un fișier sursă «nroff» în formatul corect. Nu este produs niciun fișier «cat». Dacă „-” este listat ca unul dintre argumente, intrarea va fi preluată de la intrarea standard.

    Dacă această opțiune nu este utilizată, atunci man va interpreta argumentele paginii de manual ca nume de fișiere locale dacă argumentul conține un caracter „/”, deoarece acesta este un bun indiciu că argumentul se referă la o rută din sistemul de fișiere.

-w, --where, --path, --location
    Nu afișează de fapt pagina de manual, dar imprimă locația fișierului «nroff» sursă care ar fi formatat. Dacă se folosește și opțiunea -a, atunci imprimă locațiile tuturor fișierelor sursă care corespund criteriilor de căutare.

-W, --where-cat, --location-cat
    Nu afișează de fapt pagina de manual, dar imprimă locația fișierului «cat» preformatat care ar fi afișat. Dacă se folosește și opțiunea -a, atunci imprimă locațiile tuturor fișierelor «cat» preformatate care corespund criteriilor de căutare.

    Dacă atât -w, cît și -W sunt utilizate, atunci imprimă atât fișierul sursă cât și fișierul «cat» separate printr-un spațiu. Dacă -w, -W și -a sunt date împreună, atunci acest lucru se face pentru fiecare potrivire posibilă.

-c, --catman
    Această opțiune nu este pentru uz general și ar trebui să fie utilizată doar de programul catman.

-R codificarea, --recode=codificarea
    În loc să formateze pagina de manual în modul obișnuit, produce sursa convertită la codificarea specificată. Dacă știți deja codificarea fișierului sursă, puteți utiliza și manconv(1) direct. Cu toate acestea, această opțiune vă permite să convertiți mai multe pagini de manual într-o singură codificare fără a fi nevoie să declarați în mod explicit codificarea pentru fiecare dintre ele, cu condiția ca acestea să fi fost deja instalate într-o structură similară cu o ierarhie a paginii de manual.

    Considerați utilizarea lui man-recode(1) în locul convertirii de pagini de manual multiple, de vreme ce are o interfață proiectată pentru conversia în vrac și deci poate fi mult mai rapidă.

  Găsirea paginilor de manual

-L identificator_localizare, --locale=identificator_localizare
    man va determina în mod normal localizarea curentă printr-un apel la funcția C setlocale(3) care interoghează diverse variabile de mediu, inclusiv $LC_MESSAGES și $LANG. Pentru a suprascrie temporar valoarea determinată, utilizați această opțiune pentru a furniza un șir identificator_localizare direct către man. Rețineți că aceasta nu va avea efect până când căutarea paginilor nu începe efectiv. Ieșirea precum mesajul de ajutor va fi întotdeauna afișată în localizarea determinată inițial.

-m sistem[,...], --systems=sistem[,...]
    Dacă acest sistem are acces la paginile de manual ale altor sisteme de operare, acestea pot fi căutate utilizând această opțiune. Pentru a căuta o pagină de manual din colecția de pagini de manual a «Noului_SO», utilizați opțiunea -m «Nou_SO».

    sistem(ul) specificat poate fi o combinație de nume de sisteme de operare delimitate prin virgule. Pentru a include o căutare a paginilor de manual ale sistemului de operare nativ, includeți numele sistemului man în șirul argumentului. Această opțiune va suprascrie variabila de mediu $SYSTEM.

-M ruta, --manpath=ruta
    Specifică o rută de manual alternativă de utilizat. În mod implicit, man utilizează cod derivat manpath pentru a determina ruta de căutat. Această opțiune suprascrie variabila de mediu $MANPATH și face ca opțiunea -m să fie ignorată.

    O rută specificată drept o rută de manual trebuie să fie rădăcina unei ierarhii a paginilor de manual, structurată în secțiuni, așa cum este descris în manualul man-db (sub „Sistemul paginilor de manual”). Pentru a vizualiza paginile de manual în afara acestor ierarhii, consultați opțiunea -l.

-S listă, -s listă, --sections=listă
    lista dată este o listă de secțiuni separată prin virgulă sau două puncte, utilizată pentru a determina ce secțiuni de manual să se caute și în ce ordine. Această opțiune suprascrie variabila de mediu $MANSECT; (ortografia -s este pentru compatibilitate cu System V).

-e sub-extensie, --extension=sub-extensie
    Unele sisteme încorporează pachete mari de pagini de manual, precum acelea care însoțesc pachetul Tcl, în ierarhia principală a paginilor de manual. Pentru a evita problema de a avea două pagini de manual cu același nume, cum ar fi exit(3), paginile Tcl au fost de obicei toate atribuite secțiunii l. Deoarece acest lucru este regretabil, acum este posibil să puneți paginile în secțiunea corectă, și să le atribuiți o „extensie” specifică, în acest caz, exit(3tcl). În condiții normale de funcționare, man va afișa exit(3) în detrimentul a exit(3tcl). Pentru a negocia această situație și pentru a evita să știți în ce secțiune se află pagina de care aveți nevoie, acum este posibil să dați lui man un șir sub-extensie care indică pachetul căruia trebuie să aparțină pagina. Utilizând exemplul de mai sus, furnizarea opțiunii -e tcl la man va restricționa căutarea la paginile care au extensia *tcl.

-i, --ignore-case
    Nu face distincție între majuscule și minuscule atunci când caută paginile de manual. Acesta este modul implicit de căutare.

-I, --match-case
    Caută paginile de manual făcând .

--regex
    Afișează toate paginile cu orice parte a numelui sau descrierilor lor care se potrivesc cu fiecare argument pagină ca expresie regulată, ca și în cazul apropos(1). Deoarece de obicei nu există o modalitate rezonabilă de a alege pagina „cea mai bună” atunci când se caută pentru o expresie regulată, această opțiune implică -a.

--wildcard
    Afișează toate paginile cu orice parte a numelui sau a descrierilor lor care se potrivesc cu fiecare argument pagină utilizând metacaractere în stil shell, ca și în cazul apropos(1) --wildcard. Argumentul pagină trebuie să se potrivească cu numele întreg sau cu întreaga descrierea sau să se potrivească în limitele cuvintelor din descriere. Deoarece de obicei nu există o modalitate rezonabilă de a alege pagina „cea mai bună” atunci când se caută pentru un metacaracter, această opțiune implică -a.

--names-only
    Dacă se utilizează opțiunea --regex sau --wildcard, aceasta caută coincidențe doar cu numele paginilor, nu cu descrierile paginilor, cum ar fi cu whatis(1). Altfel, nu are niciun efect.

-a, --all
    În mod implicit, man va ieși după afișarea celei mai potrivite pagini de manual pe care o găsește. Folosirea acestei opțiuni forțează man să afișeze toate paginile de manual cu nume care corespund criteriilor de căutare.

-u, --update
    Această opțiune determină man să-și actualizeze memoria tampon a bazei de date a paginilor de manual instalate. Acest lucru este necesar doar în situații rare și, în mod normal, este mai bine să rulați mandb(8).

--no-subpages
    În mod implicit, man va încerca să interpreteze perechile de nume de pagini manual date în linia de comandă, ca echivalent cu un singur nume de pagină de manual care conține o cratimă sau un caracter de subliniere. Aceasta suportă modelul comun al programelor care implementează o serie de subcomenzi, permițându-le să furnizeze pagini de manual pentru fiecare dintre ele, și care pot fi accesate folosind o sintaxă similară cu cea care ar fi folosită pentru a invoca subcomenzile în sine. De exemplu:

      $ man -aw git diff
      /usr/share/man/man1/git-diff.1.gz

    Pentru a dezactiva acest comportament, utilizați opțiunea --no-subpages.

      $ man -aw --no-subpages git diff
      /usr/share/man/man1/git.1.gz
      /usr/share/man/man3/Git.3pm.gz
      /usr/share/man/man1/diff.1.gz

  Controlarea ieșirii formatate

-P paginator, --pager=paginator
    Specifică ce paginator de ieșire să fie utilizat. În mod implicit, man folosește pager, revenind la cat dacă pager nu este găsit sau nu este executabil. Această opțiune suprascrie variabila de mediu $MANPAGER, care la rândul său suprascrie variabila de mediu $PAGER. Nu este utilizată împreună cu -f sau -k.

    Valoarea poate fi un nume de comandă simplă sau o comandă cu argumente, și poate utiliza ghilimele de tip shell (bară oblică inversă, ghilimele simple sau ghilimele duble). Aceasta nu poate să folosească linii de conectare pentru a conecta mai multe comenzi; dacă aveți nevoie de asta, utilizați un script care preia fișierul pentru a fi afișat dintr-un argument sau de la intrarea standard.

-r prompt, --prompt=prompt
    Dacă o versiune recentă a less este utilizată ca paginator,, man va încerca să -și stabilească prompterul și unele opțiuni sensibile. În mod implicit, prompterul arată ca

    Pagina de manual nume(secțiune) linia x

    unde nume denotă numele paginii de manual, secțiune denotă secțiunea sub care a fost găsit și x numărul de linie curent. Acest lucru se realizează prin utilizarea variabilei de mediu $LESS.

    Furnizarea lui -r cu un șir va suprascrie acest mod implicit. Șirul poate conține textul $MAN_PN care va fi extins la numele paginii curente de manual și numele secțiunii acesteia înconjurat de „(” și „)”. Șirul utilizat pentru a produce modul implicit ar putea fi exprimat ca

    \ Pagina\ de\ manual\ \$MAN_PN\ ?ltlinia\ %lt?L/%L.:
    byte\ %bB?s/%s..?\ (FINAL):?pB\ %pB\\%..
    (apăsați h pentru ajutor sau q pentru a ieși)

    Aici este împărțit în trei rânduri, doar pentru o mai bună claritate. Pentru semnificația și explicația acestuia, consultați pagina de manual less(1). Șirul de prompter este mai întâi evaluat de shell. Toate ghilimele duble, ghilimele inverse și barele oblice inverse din prompt trebuie să fie eludate de o bară oblică inversă anterioară. Șirul prompterului se poate termina cu un „$” eludat, care poate fi urmat de alte opțiuni pentru «less». În mod implicit, man stabilește opțiunile -ix8.

    Variabila de mediu $MANLESS descrisă mai jos poate fi utilizată pentru a stabili un șir de prompter implicit, dacă nu este furnizat niciunul în linia de comandă.

-7, --ascii
    Când se vizualizează o pagină de manual, pur ascii(7) pe un terminal de 7 biți sau un emulator de terminal, este posibil ca unele caractere să nu se afișeze corect când se utilizează descrierea dispozitivului latin1(7) cu GNU nroff. Această opțiune permite ca paginile de manual, pur ascii să fie afișate în ascii cu dispozitivul latin1. Nu va traduce niciun text latin1. Următorul tabel arată traducerile efectuate: unele părți ale acestuia pot fi afișate corect numai când se utilizează dispozitivul latin1(7) al lui GNU nroff.

    Descriere | Octal | latin1 | ascii
    cratimă de continuare | 255 |  | -
    bulină (punct, picățea din mijloc) | 267 | • | o
    accent acut | 264 | ´ | '
    semn de înmulțire | 327 | × | x

    Dacă coloana latin1 se afișează corect, terminalul poate să fie configurat pentru caractere latin1 și această opțiune nu este necesară. Dacă coloanele latin1 și ascii sunt identice, citiți această pagină utilizând această opțiune sau man nu a formatat această pagină utilizând descrierea de dispozitiv latin1. Dacă coloana latin1 lipsește sau este coruptă, poate că aveți nevoie să vizualizați paginile de manual cu această opțiune.

    Această opțiune este ignorată când se utilizează opțiunile -t, -H, -T sau -Z și poate fi inutilă pentru nroff, altul decât GNU.

-E codificarea, --encoding=codificarea
    Generează ieșirea pentru o codificare de caractere, alta decât cea implicită. Pentru compatibilitate inversă, codificarea poate fi un dispozitiv nroff, cum ar fi ascii, latin1 sau utf8, precum și o codificare de caractere adevărate, cum ar fi UTF-8.

--no-hyphenation, --nh
    În mod normal, nroff împarte automat textul cu cratime la întreruperile de linie chiar și în cuvintele care nu conțin cratime, dacă este necesar să faceți acest lucru pentru a așeza cuvintele pe o linie fără spațiere excesivă. Această opțiune dezactivează separarea automată în silabe, astfel încât cuvintele vor fi separate cu cratime numai dacă conțin deja cratime.

    Dacă scrieți o pagină de manual și doriți pur și simplu să împiedicați nroff să împartă cu cratimă un cuvânt într-un punct nepotrivit, nu utilizați această opțiune, ci consultați documentația nroff; de exemplu, puteți pune „\%” în interiorul unui cuvânt pentru a indica faptul că acesta poate fi întrerupt în acel punct, sau puteți pune „\%” la începutul unui cuvânt pentru a preveni împărțirea în silabe.

--no-justification, --nj
    În mod normal, nroff va alinia automat textul la ambele margini. Această opțiune dezactivează alinierea completă, lăsând aliniată doar marginea din stânga, numită uneori text „zdrențuit la dreapta”.

    Dacă scrieți o pagină de manual și doriți pur și simplu să împiedicați ca nroff să alinieze anumite paragrafe, nu utilizați această opțiune, ci consultați documentația nroff; de exemplu, puteți folosi solicitările „.na”, „.nf”, „.fi” și „.ad” pentru a dezactiva temporar ajustarea și completarea.

-p șir, --preprocessor=șir
    Specificați secvența de preprocesoare de rulat înainte de nroff sau troff/groff. Nu toate instalațiile vor avea un set complet de preprocesoare. Câteva dintre preprocesoare și literele folosite pentru a le desemna sunt: eqn (e), grap (g), pic (p), tbl (t), vgrind (v), refer (r). Această opțiune suprascrie variabila de mediu $MANROFFSEQ. zsoelim este întotdeauna rulat ca primul preprocesor.

-t, --troff
    Utilizează groff -mandoc pentru a formata pagina de manual la ieșirea standard(stdout). Această opțiune nu este necesară în conjuncție cu -H, -T, sau -Z.

-T[dispozitiv], --troff-device[=dispozitiv]
    Această opțiune este utilizată pentru a modifica ieșirea lui groff (sau eventual a lui troff) ca să fie mai potrivită pentru un dispozitiv, altul decât cel implicit. Acest lucru implică -t. Exemplele (începând cu groff 1.23.0) includ dvi, latin1, pdf, ps, utf8, X75 și X100.

-H[navigator], --html[=navigator]
    Această opțiune va determina ca groff să producă o ieșire HTML și va afișa acea ieșire într-un navigator web. Alegerea navigatorului este determinată de argumentul opțional navigator, dacă este furnizat unul, de variabila de mediu $BROWSER sau de o valoare implicită în timpul compilării dacă aceasta nu este configurată (de obicei lynx). Această opțiune implică -t și va funcționa numai cu GNU troff.

-X[ppi], --gxditview[=ppi]
    Această opțiune afișează ieșirea lui groff într-o fereastră grafică utilizând programul gxditview. ppi (puncte per inci) poate fi 75, 75-12, 100, sau 100-12, valoarea implicită fiind 75; variantele *-12 utilizează un font cu baza de 12-puncte. Această opțiune implică -T cu dispozitivul X75, X75-12, X100, sau X100-12 respectiv.

-Z, --ditroff
    groff va rula troff și mai apoi va utiliza un post-procesor adecvat pentru a produce o ieșire corespunzătoare pentru dispozitivul ales. Dacă groff -mandoc este groff, această opțiune este trecută la groff și va suprima utilizarea unui post-procesor. Acest lucru implică -t.

  Obținere ajutor

-?, --help
    Imprimă un mesaj de ajutor și iese.

--usage
    Imprimă un mesaj scurt de utilizare și iese.

-V, --version
    Afișează informații despre versiune.

STARE DE IEȘIRE

0   Executarea programului s-a încheiat fără erori.

1   Eroare de utilizare, de sintaxă sau de fișier de configurare.

2   Eroare operațională.

3   Un proces copil a returnat o stare de ieșire diferită de zero.

16  Cel puțin una dintre pagini/fișiere/cuvinte cheie nu există sau nu s-a găsit.

MEDIU

MANPATH
    Dacă $MANPATH este stabilită, valoarea acesteia este utilizată drept ruta de căutare pentru paginile de manual.

    Consultați secțiunea RUTA DE CĂUTARE din manpath(5) pentru comportamentul implicit și detalii despre modul în care este gestionată această variabilă de mediu.

MANROFFOPT
    De fiecare dată când man invocă formatorul (nroff, troff, sau groff), acesta adaugă conținutul lui $MANROFFOPT la linia de comandă a formatorului.

    De exemplu, MANROFFOPT=-P-i îi spune formatorului să utilizeze text italic (care este acceptat doar de unele terminale) în loc de text subliniat.

MANROFFSEQ
    Dacă $MANROFFSEQ este stabilită, valoarea acesteia este utilizată pentru a determina setul de preprocesoare prin care se trece fiecare pagină de manual. Lista de preprocesoare implicită este dependentă de sistem.

MANSECT
    Dacă $MANSECT este stabilită, valoarea acesteia este o listă de secțiuni delimitată de două puncte și este utilizată pentru a determina care secțiuni din manual să se caute și în ce ordine. Valoarea implicită este „1 n l 8 3 0 2 3type 3posix 3pm 3perl 3am 5 4 9 6 7”, dacă nu este suprascrisă de directiva SECȚIUNE din /etc/manpath.config.

MANPAGER, PAGER
    Dacă $MANPAGER sau $PAGER este stabilită ($MANPAGER este utilizată în preferințe), valoarea acesteia este utilizată ca numele programului utilizat pentru a afișa pagina de manual. În mod implicit, este folosit pager, revenind la cat dacă pager nu este găsit sau nu este executabil.

    Valoarea poate fi un nume de comandă simplă sau o comandă cu argumente, și poate utiliza ghilimele de tip shell (bară oblică inversă, ghilimele simple sau ghilimele duble). Aceasta nu poate să folosească linii de conectare pentru a conecta mai multe comenzi; dacă aveți nevoie de asta, utilizați un script care preia fișierul pentru a fi afișat dintr-un argument sau de la intrarea standard.

MANLESS
    Dacă $MANLESS este stabilită, valoarea acesteia va fi utilizată ca șirul de prompter implicit pentru paginatorul less, ca și cum ar fi fost transmis folosind opțiunea -r (deci orice apariție a textului $MAN_PN va fi extins în același mod). De exemplu, dacă doriți să stabiliți șirul prompter necondiționat la “șirul meu de prompter”, stabiliți $MANLESS la ‘-Psșirul meu de prompter’. Utilizând opțiunea -r se suprascrie această variabilă de mediu.

BROWSER
    Dacă $BROWSER este stabilită, valoarea acesteia este o listă de comenzi delimitată de două puncte, fiecare din acestea fiind la rândul ei utilizată pentru a încerca să pornească un navigator web pentru man --html. În fiecare comandă, %s este înlocuit cu un nume de fișier care conține ieșirea HTML de la groff, %% este înlocuit de un singur semn de procent (%) și %c este înlocuit de două puncte (:).

SYSTEM
    Dacă variabila $SYSTEM este definită, aceasta va avea același efect ca și cum ar fi fost specificată ca argument la opțiunea -m.

MANOPT
    Dacă $MANOPT este stabilită, aceasta va fi analizată înainte de linia de comandă a lui man și se așteaptă să fie într-un format similar. Deoarece toate celelalte variabile de mediu specifice man pot fi exprimate ca opțiuni de linie de comandă și sunt astfel candidate pentru a fi incluse în $MANOPT, este de așteptat ca acestea să devină învechite. N.B. Toate spațiile care ar trebui interpretate ca parte a argumentului unei opțiuni trebuie să fie eludate.

MANWIDTH
    Dacă $MANWIDTH este stabilită, valoarea acesteia este utilizată ca lungimea de linie pentru care paginile de manual ar trebui să fie formatate. Dacă nu este stabilită, paginile de manual vor fi formatate cu o lungime de linie potrivită cu terminalul curent (utilizând valoarea lui $COLUMNS, și ioctl(2) dacă sunt disponibile, sau revenind la 80 de caractere dacă niciuna dintre ele nu este disponibilă). Paginile «cat» vor fi salvate doar când formatarea implicită poate fi utilizată, adică atunci când lungimea liniei de terminal este între 66 și 80 de caractere.

MAN_KEEP_FORMATTING
    În mod normal, când ieșirea nu este direcționată către un terminal (precum un fișier sau o conexiune), caracterele de formatare sunt eliminate pentru a facilita citirea rezultatului fără instrumente speciale. În orice caz, dacă $MAN_KEEP_FORMATTING este stabilită la orice valoare care nu este goală, aceste caractere de formatare sunt păstrate. Acest lucru poate fi util pentru ca programe ce utilizează man să poată interpreta caracterele de formatare.

MAN_KEEP_STDERR
    În mod normal, când ieșirea este direcționată la un terminal (de obicei la un paginator), orice ieșire de eroare de la comanda utilizată pentru a produce versiunile formatate ale paginilor de manual este eliminată pentru a evita interferența cu afișajul paginatorului. Programe precum groff produc adesea mesaje de eroare relativ minore despre problemele tipografice precum aliniere greșită, care sunt inestetice și în general produc confuzie când sunt afișate împreună cu pagina de manual. Cu toate acestea, unii utilizatori vor să le vadă oricum, deci, dacă $MAN_KEEP_STDERR este stabilită la o valoare care nu este goală, ieșirea de eroare va fi afișată ca de obicei.

MAN_DISABLE_SECCOMP
    În Linux, man izolează în mod normal subprocesele care gestionează date nesigure folosind un mediu izolat seccomp(2). Acest lucru face mai sigură rularea unui cod complex de analiză pe pagini de manual arbitrare. Dacă acest lucru nu reușește din orice motiv ce nu are legătură cu conținutul paginii afișate, puteți stabili $MAN_DISABLE_SECCOMP la orice valoare care nu este goală pentru a dezactiva izolarea.

PIPELINE_DEBUG
    Dacă variabila de mediu $PIPELINE_DEBUG este stabilită la „1”, atunci man va imprima mesajele de depanare la o eroare standard care descrie fiecare subproces pe care îl rulează.

LANG, LC_MESSAGES
    În funcție de sistem și de implementare, amândouă sau una dintre $LANG și $LC_MESSAGES vor fi interogate pentru limba curentă a mesajelor. man va afișa mesajele sale în limba respectivă (dacă este disponibilă). Consultați setlocale(3) pentru detalii precise.

FIȘIERE

/etc/manpath.config
    fișier de configurare man-db.

/usr/share/man
    O ierarhie globală a paginilor de manual.

STANDARDE
POSIX.1-2001, POSIX.1-2008, POSIX.1-2017.

CONSULTAȚI ȘI
apropos(1), groff(1), less(1), manpath(1), nroff(1), troff(1), whatis(1), zsoelim(1), manpath(5), man(7), catman(8), mandb(8)

Documentația pentru unele pachete poate fi disponibilă în alte formate, precum info(1) sau HTML.

ISTORIC
1990, 1991 – Scris original de John W. Eaton (jwe@che.utexas.edu).

Dec 23 1992: Rik Faith (faith@cs.unc.edu) a aplicat corectarea defecțiunilor furnizată de Willem Kasdorp (wkasdo@nikhefk.nikef.nl).

30th April 1994 – 23rd February 2000: Wilf. (G.Wilford@ee.surrey.ac.uk) a dezvoltat și întreținut acest pachet cu ajutorul câtorva oameni dedicați.

30th October 1996 – 30th March 2001: Fabrizio Polacco <fpolacco@debian.org> a menținut și îmbunătățit acest pachet pentru proiectul Debian, cu ajutorul întregii comunități.

31st March 2001 – până în ziua de azi: Colin Watson <cjwatson@debian.org> dezvoltă și întreține acum man-db.

ERORI
https://gitlab.com/man-db/man-db/-/issues
https://savannah.nongnu.org/bugs/?group=man-db